rem Please enter the correct path to NT DDK in the following line
set NTDDK=c:\nt40ddk
set include=%include%;%NTDDK%\inc
set lib=%lib%;%NTDDK%\lib\i386\free

if EXIST "%NTDDK%\inc\ntddk.h" goto start
@echo DDK path is incorrect, Please edit the batchbld.cmd
goto end

:start

md DebugDrv
md DebugApp
md Debug

@echo ...........
@echo build the driver
cl @drv_cl.opt -Yc"Headers.h" Headers.cpp
cl @drv_cl.opt -Yu"Headers.h" CfgMgr.cpp
cl @drv_cl.opt -Yu"Headers.h" DrvInit.cpp
cl @drv_cl.opt -Yu"Headers.h" EnumMods.cpp
cl @drv_cl.opt -Yu"Headers.h" FileSupp.cpp
cl @drv_cl.opt -Yu"Headers.h" IntrCpt.cpp
cl @drv_cl.opt -Yu"Headers.h" KrnlTrcD.cpp
cl @drv_cl.opt -Yu"Headers.h" Log.cpp
cl @drv_cl.opt -Yu"Headers.h" ParmType.cpp
cl @drv_cl.opt -Yu"Headers.h" PeHelper.cpp
cl @drv_cl.opt -Yu"Headers.h" Return.cpp
cl @drv_cl.opt -Yu"Headers.h" StubMgr.cpp
cl @drv_cl.opt -Yu"Headers.h" Trace.cpp

link @drv_link.opt

@echo ...........
@echo build the application
cl @app_cl.opt -Yc"Headers.h" Headers.cpp
cl @app_cl.opt -Yu"Headers.h" CfgMgr.cpp 
cl @app_cl.opt -Yu"Headers.h" FileSupp.cpp
cl @app_cl.opt -Yu"Headers.h" InstDrv.cpp
cl @app_cl.opt -Yu"Headers.h" InterMap.cpp
cl @app_cl.opt -Yu"Headers.h" KrnlTrc.cpp
cl @app_cl.opt -Yu"Headers.h" ParseCfg.cpp
cl @app_cl.opt -Yu"Headers.h" Trace.cpp

link @app_link.opt

:end