/******************************************************************
Module : PeHelper.h   - few functions for working with PE headers
             Written 1998,1999 by Dmitri Leman
Purpose: NT kernel mode tracer. Used in the driver project.
******************************************************************/

PVOID pCheckModuleHeader(void * p_pBaseAddress);
bool bGetModuleFileName(
    void              * p_pBaseAddress,
    PVOID               p_pNTHeader,
    char              * p_pszReturnName,
    int                 p_iSizeName
);
ULONG * pdwGetSlotInExportTable
(
    void *  p_pBaseAddress,
    const char *  p_pszFunctionName,
    void *  p_pNTHeader
);
void * pGetProcAddress
(
    void *  p_pBaseAddress,
    const char *  p_pszFunctionName,
    void *  p_pNTHeader = NULL
);
