/******************************************************************
Module : StubMgr.h -manage configuration data in the kernel mode
             Written 1998,1999 by Dmitri Leman
Purpose: NT kernel mode tracer
******************************************************************/

#ifndef _STUBMGR_H_
#define _STUBMGR_H_

#include "CfgMgr.h"

class EnumModules;

//This class has no data because the ConfigManager will be located
//in the binary file and we cannot add anything to it except few 
//functions usefull in spy DLL(driver).
class StubManager : public ConfigManager
{
public:
    void vDriverInit(UCHAR*  p_pMem, void *  p_pLogFunction);
    void vShortcutAllStubs();

    MyInterface * pFindModuleByName(const char * p_pszName);

    ASM_APIFunctionStub * pFindStubByOrigAddress
        (PVOID p_pOrigFunctionAddr);

    bool bProcessAllModulesExports(bool p_bUnhook);
};//class ConfigManager

#endif //_STUBMGR_H_